Show / Hide Table of Contents

# AsyncCollisionExit2DTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncCollisionExit2DTrigger : AsyncTriggerBase<Collision2D>, IUniTaskAsyncEnumerable<Collision2D>

##### Inheritance

System.Object → AsyncTriggerBase<Collision2D> → AsyncCollisionExit2DTrigger

##### Implements

IUniTaskAsyncEnumerable<Collision2D>

### Members

#### Methods

Name | Description
--- | ---
GetOnCollisionExit2DAsyncHandler() |
GetOnCollisionExit2DAsyncHandler(CancellationToken) |
OnCollisionExit2DAsync() |
OnCollisionExit2DAsync(CancellationToken) |

### Methods

#### GetOnCollisionExit2DAsyncHandler()

    public IAsyncOnCollisionExit2DHandler GetOnCollisionExit2DAsyncHandler()

##### Returns

IAsyncOnCollisionExit2DHandler

#### GetOnCollisionExit2DAsyncHandler(CancellationToken)

    public IAsyncOnCollisionExit2DHandler GetOnCollisionExit2DAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnCollisionExit2DHandler

#### OnCollisionExit2DAsync()

    public UniTask<Collision2D> OnCollisionExit2DAsync()

##### Returns

UniTask<Collision2D>

#### OnCollisionExit2DAsync(CancellationToken)

    public UniTask<Collision2D> OnCollisionExit2DAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask<Collision2D>

### Implements

IUniTaskAsyncEnumerable<T>